Subject: RE: [Simple] draft-roach-simple-blconf-00

From: Adam Roach <[email-masked]>
Date: Wed, 25 Jun 2003 20:53:57 -0500

Sean Olson writes:

> I don't like requiring support for device
> configuration to get this to work, especially since
> that will usually be a separate operation from buddy
> list configuration.

Hmm... perhaps I muddied my description. The intention
was not to imply that this would be *part* *of*
device configuration; simply that it would use
event packages in the same way. The intended solution
is more like user configuration.

> I think there is a third option that should be
> considered. Use the user's URI as the buddy list
> URI and indicate through a Event: parameter that the
> buddy list is the intended target and not the user.

That's an interesting proposition. It still runs
afoul the two problems I cite in the draft: it
constrains you to a single list, and it requires
that list to be maintained by the same domain that
handles your presence.

> This has the implication that routing of these
> requests will generally follow the same path as
> subscribing to that user's presence.

Which is, IMHO, an unnecessary restriction.
I prefer a model that allows a la carte service
selection by users over one that requires some
sort of monolithic service provider.

/a

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple